cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/membership-products" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/membership-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/membership-products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true,
"products": [
{
"productId": "<string>",
"productType": "<string>",
"name": "<string>",
"description": "<string>",
"price": 123,
"currency": "<string>",
"vatPercentage": 123,
"visibility": "<string>",
"isArchived": true,
"storeType": "<string>",
"trial": true,
"period": "<string>",
"credits": 123,
"creditCalendar": "<string>",
"creditValidity": {
"value": 123,
"unit": "<string>"
},
"contractPeriod": {
"value": 123,
"unit": "<string>"
},
"autoRenew": true,
"cancellationNoticePeriod": "<string>",
"assignCredits": true,
"allowNegativeCredits": true,
"maxNegativeCredits": 123,
"creditPools": [
{
"key": "<string>",
"name": "<string>",
"credits": 123,
"scheduleInterval": 123,
"scheduleUnit": "<string>",
"mode": "<string>"
}
],
"daysUsable": 123,
"validityAfterPurchase": {
"value": 123,
"unit": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Product catalog
List membership products
Requires finance_products:read. Returns stable public product catalog DTOs only.
GET
/
public
/
v1
/
finance
/
membership-products
cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/membership-products" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/membership-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/membership-products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true,
"products": [
{
"productId": "<string>",
"productType": "<string>",
"name": "<string>",
"description": "<string>",
"price": 123,
"currency": "<string>",
"vatPercentage": 123,
"visibility": "<string>",
"isArchived": true,
"storeType": "<string>",
"trial": true,
"period": "<string>",
"credits": 123,
"creditCalendar": "<string>",
"creditValidity": {
"value": 123,
"unit": "<string>"
},
"contractPeriod": {
"value": 123,
"unit": "<string>"
},
"autoRenew": true,
"cancellationNoticePeriod": "<string>",
"assignCredits": true,
"allowNegativeCredits": true,
"maxNegativeCredits": 123,
"creditPools": [
{
"key": "<string>",
"name": "<string>",
"credits": 123,
"scheduleInterval": 123,
"scheduleUnit": "<string>",
"mode": "<string>"
}
],
"daysUsable": 123,
"validityAfterPurchase": {
"value": 123,
"unit": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Query Parameters
Required range:
x >= 1Required range:
x >= 1Maximum string length:
100Available options:
Visible, VisibleInStore, VisibleInStoreAndApp, VisibleInApp, HideProduct ⌘I